@font-face {
  font-family: "Prompt";
  src: url("./../../fonts/Prompt-Regular.ttf") format("truetype");
}

body {
  background-color: $white;
  margin: 0 !important;
  padding: 0 !important;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  font-family: "Prompt", Arial, Helvetica, sans-serif;
}

p {
  font-size: 1rem;
}

/* Container */
@mixin min($bp, $max: "null", $device: "screen") {
  @if $max == "null" {
    @media only #{$device} and (min-width: #{$bp}) {
      @content;
    }
  } @else {
    @media only #{$device} and (min-width: #{$bp}) and (max-width: #{$max}) {
      @content;
    }
  }
}

@function bp($bp) {
  @return map-get($breakpoints, $bp);
}

$breakpoints: (
  na: 0px,
  // For BS grid
  xs: 320px,
  // Smartphone
  sm: 600px,
  // Tablets
  md: 900px,
  // Tablets Landscape and small desktops
  lg: 1200px,
  // Desktops
  xl: 1800px,
  // Large Desktop
);

@function container($container-size, $true-val: false) {
  @return map-get($container-sizes, $container-size);
}

$container-sizes: (
  sm: map-get($breakpoints, sm) - 30px,
  md: map-get($breakpoints, md) - 40px,
  lg: map-get($breakpoints, lg) - 50px,
  xl: map-get($breakpoints, xl) - 400px,
);

.container {
  padding-right: 1rem;
  padding-left: 1rem;

  &:not(.is-fluid) {
    margin: 0 auto;

    @each $bp, $container-size in $container-sizes {
      @include min(#{bp(#{$bp})}) {
        width: 100%;
        max-width: container(#{$bp});
      }
    }
  }
}

@each $bp, $container-size in $container-sizes {
  .container-#{$bp} {
    margin: 0 auto;
    padding-right: 1rem;
    padding-left: 1rem;
    width: 100%;

    $i: index($container-sizes, $bp $container-size);

    @for $j from $i through length($container-sizes) {
      @include min(#{bp(nth(nth($container-sizes, $j), 1))}) {
        max-width: container(#{nth(nth($container-sizes, $j), 1)});
      }
    }
  }
}

/* Other */
.separator {
  margin: 0 0.75rem;
}

a {
  text-decoration: none;
  color: $primary;

  &:hover {
    text-decoration: underline;
  }
}

.center {
  text-align: center;
}

ul {
  list-style: none !important;
  padding: 0 !important;
}

main {
  margin: 2rem 0;
}

img {
  max-width: 100%;
}

hr {
  width: 40%;
  margin: 4rem auto;
  border: 0;
  border-top: 1px solid #ccc;
  border-color: $primary;
}

.full {
  margin: 6rem 0;
  padding: 6rem 0;
  background-color: $primary;
  color: #fff;

  &--light {
    background-color: $white;
  }
}
